Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7548 - The gdm login window looses focus when pointer is not above it
Summary: The gdm login window looses focus when pointer is not above it
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 16:18 UTC by David Balažic
Modified: 2014-01-21 22:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-05-20 22:05:54 UTC


Attachments (Terms of Use)

Description David Balažic 1999-12-03 16:18:16 UTC
The gdm login window looses focus if the mouse pointer is moved away
from it. The KDE login window (kdm) retains focus, which is IMHO much user-friendlier.
The same goes for the small window asking for password, when you select
'Halt' or 'Reboot' on logout.

Comment 1 David Balažic 1999-12-03 16:24:59 UTC
The rpm is gdm-2.0beta2-13 .

Comment 2 Nalin Dahyabhai 2000-02-05 23:15:59 UTC
The password prompting appears to be fixed in usermode 1.18 and later from Raw
Hide, slated for our next release.

Comment 3 Havoc Pennington 2000-02-17 17:26:59 UTC
This is complicated to fix without breaking other apps that may be running
(such as xconsole), so I'm going to ask upstream to do it rather than putting
a huge patch in the RPM.

Comment 4 David Balažic 2000-07-26 08:41:12 UTC
Still there in beta3.

Comment 5 LENHOF 2001-04-20 14:19:02 UTC
use version gdm 2.2 which can be found on ftp.5z.com/pub/unix
I think it could solve your problem. I just cannot understand why they didn't
put this new version in 7.1.

For me this new version solved also a problem with french keyboard (with the ALT
GR key).

Jean-Yves LENHOF

Comment 6 Havoc Pennington 2001-04-20 15:30:13 UTC
The new gdm was not available in time to do QA for 7.1. We'll have it as an
update on Red Hat Network fairly soon.

Comment 7 Seth Vidal 2001-05-20 20:18:35 UTC
is this still planned for an update/errata release?
its been a month since there was movement on this bug. I was just curious about it.



Comment 8 Havoc Pennington 2001-05-20 20:57:58 UTC
I'm not sure at this point what the timeline for the update is. We are pushing
GNOME 1.4 as a whole at some point, it will include this, but because of
Nautilus etc. (and gdm itself changes a lot) it's nontrivial.

Comment 9 Seth Vidal 2001-05-20 21:04:33 UTC
is the plan to push it before "the next version".

also as a minor annoyance could you pull that gnome logo out and put a red hat
or a generic linux one in. it tends to confuse some of the less bright users who
think that they can't login to kde from the gnome login screen.



Comment 10 Seth Vidal 2001-05-20 21:05:15 UTC
as an addendum. I know I can pull the logo out myself.
but there aren't any of the red hat ones that are of good sizes for the window.


Comment 11 Havoc Pennington 2001-05-20 22:05:49 UTC
I think we'd like to have the update available via RHN well before the next box
set comes out, but don't know for sure the date or for sure it will happen.

Will consider changing the logo, seems like a reasonable idea.

Comment 12 Havoc Pennington 2001-07-12 20:48:25 UTC
This is all fixed in rawhide. It looks like we won't have an update before the
next box set release though.


Note You need to log in before you can comment on or make changes to this bug.